<?php

namespace Slovocast\Controller;

use Slovocast\Controller\Controller;
use Slovocast\Domain\Repository\User\UserRepositoryInterface;
use Psr\Http\Message\ResponseInterface as Response;

class DashboardPage extends Controller
{
    public function __construct(
        protected UserRepositoryInterface $userRepository
    ) { }

    public function handle(): Response
    {
        return $this->render('dashboard.twig');
    }
}
